local _init_melee_weapons_actual = BlackMarketTweakData._init_melee_weapons

function BlackMarketTweakData:_init_melee_weapons(...)
    _init_melee_weapons_actual(self, ...)
		
     
	self.melee_weapons.boxing_gloves.tase_data = {
        tase_strength = "heavy"
    }
	self.melee_weapons.boxing_gloves.stats.min_damage = 25
	self.melee_weapons.boxing_gloves.stats.max_damage = 5000
	self.melee_weapons.boxing_gloves.stats.min_damage_effect = 5
	self.melee_weapons.boxing_gloves.stats.max_damage_effect = 25
	self.melee_weapons.boxing_gloves.repeat_expire_t = 0.3
	self.melee_weapons.boxing_gloves.charge_time = 5
	self.melee_weapons.boxing_gloves.stats.range = 150
	self.melee_weapons.boxing_gloves.stats.charge_time = 5
	self.melee_weapons.boxing_gloves.stats.concealment = 15
	self.melee_weapons.boxing_gloves.stats.remove_weapon_movement_penalty = false
	
	self.melee_weapons.boxing_gloves.dot_data = {
		type = "poison",
		custom_data = {
			dot_length = 1,
			hurt_animation_chance = 0.75
		}
	}
	self.melee_weapons.boxing_gloves.special_weapon = "taser"
	self.melee_weapons.boxing_gloves.fire_dot_data = {
		dot_trigger_chance = "50",
		dot_damage = "50",
		dot_length = "5",
		dot_trigger_max_distance = "3000", 
		dot_tick_period = "0.25"
	}

end